Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Interface QDoc

All Known Implementing Classes:
  QDocImpl

public interface QDoc

Method Summary
`QContext` | `allocateContext()`
`void` | `createHRef(Object key, String schema, String href, String expects)`
`QSoftDocHash` | `getDocHash()`
`HRef` | `getHRef(Object key)`
`String` | `getId(Object value)`
`String` | `getKey()`
`QMeta` | `getMeta(Object appObject)`
`Object` | `getRoot()`
`QDoc` | `getSchema()`
`Object` | `getValue(String id)`
`boolean` | `isKnown(Object value)`
`boolean` | `isMarked(Object value)`
`void` | `postParse()`
`void` | `releaseContext(QContext context)`
`void` | `setId(String id, Object value)`
`void` | `setKey(String key)`
`QMeta` | `setMeta(Object appObject, QMeta value)`
`void` | `setRoot(Object object)`
`void` | `setSchema(QDoc schema)`

Method Detail

### getRoot

    public Object getRoot()

### setRoot

    public void setRoot(Object object)

### setId

    public void setId(String id,
                      Object value)
               throws QPE

### getId

    public String getId(Object value)
                 throws QPE

### getValue

    public Object getValue(String id)

### isKnown

    public boolean isKnown(Object value)

### isMarked

    public boolean isMarked(Object value)

### allocateContext

    public QContext allocateContext()
                             throws SAXException

### releaseContext

    public void releaseContext(QContext context)

### getSchema

    public QDoc getSchema()

### setSchema

    public void setSchema(QDoc schema)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### setMeta

    public QMeta setMeta(Object appObject,
                         QMeta value)

### getMeta

    public QMeta getMeta(Object appObject)

### getHRef

    public HRef getHRef(Object key)

### createHRef

    public void createHRef(Object key,
                           String schema,
                           String href,
                           String expects)

### getDocHash

    public QSoftDocHash getDocHash()

### postParse

    public void postParse()
                   throws QPE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD